Bug 459487 - (CVE-2008-3533) CVE-2008-3533 yelp: Invalid URI format string vulnerability (remote arbitrary code execution)
CVE-2008-3533 yelp: Invalid URI format string vulnerability (remote arbitrary...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
source=vendor-sec,reported=20080806,p...
: Security
Depends On: 459502
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-19 07:32 EDT by Jan Lieskovsky
Modified: 2008-10-01 14:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 14:07:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-08-19 07:32:40 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3533 to
the following vulnerability:

Format string vulnerability in the window_error function in
yelp-window.c in yelp in Gnome after 2.19.90 and before 2.24 allows
remote attackers to execute arbitrary code via format string
specifiers in an invalid URI on the command line, as demonstrated by
use of yelp within (1) man or (2) ghelp URI handlers in Firefox,
Evolution, and unspecified other programs.

References:

http://bugzilla.gnome.org/attachment.cgi?id=115890
http://bugzilla.gnome.org/show_bug.cgi?id=546364
https://bugs.launchpad.net/ubuntu/+source/yelp/+bug/254860
http://www.securityfocus.com/bid/30690
http://secunia.com/advisories/31465
http://xforce.iss.net/xforce/xfdb/44449

Proposed patch:

http://bugzilla.gnome.org/attachment.cgi?id=115890
Comment 1 Jan Lieskovsky 2008-08-19 07:42:01 EDT
CVE-2008-3533 This issue does not affect the versions of the yelp package,
as shipped with Red Hat Enterprise Linux 3, 4 and 5. 

CVE-2008-3533: This issue affects the versions of the yelp package, as
shipped with Fedora8, Fedora9 and Fedora10.
Comment 2 Tomas Hoger 2008-08-19 10:29:07 EDT
For the sake of completeness, among current Fedora versions, this issue only matters to Fedora 8.  On Fedora 9, attempt to exploit this format string flaw is detected by glibc and will only result in controlled application shutdown.

So we should consider having the fix included in F8's yelp soon, for F9+ this only needs to be treated as "crasher" bug triggered by some odd inputs.
Comment 4 Fedora Update System 2008-08-25 15:34:14 EDT
yelp-2.20.0-12.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/yelp-2.20.0-12.fc8
Comment 5 Fedora Update System 2008-09-10 02:50:24 EDT
yelp-2.20.0-12.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Red Hat Product Security 2008-10-01 14:07:50 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-7293

Note You need to log in before you can comment on or make changes to this bug.